import { register, init, getLocaleFromNavigator } from 'svelte-i18n';

register('en', () => import('./assets/i18n/en.json'))
register('et', () => import('./assets/i18n/et.json'))

const getLocale = () => {
  const fromNavigator = getLocaleFromNavigator();
  const applied = ['et', 'en'].find((entry) => fromNavigator.startsWith(entry));
  if (applied) return applied;
  return 'en';
}

const res = init({
  fallbackLocale: 'en',
  initialLocale: getLocale(),
});
